TakenAt: 2022-06-09T00:07:06Z
TakenAtLocal: 2022-06-09T01:07:06Z
TakenSrc: meta
UID: pt67qi8whbf6wt4h
Type: image
Title: East Hampshire / United Kingdom / 2022
TimeZone: Europe/London
PlaceSrc: meta
Lat: 51.0075886
Lng: -0.9586585
Year: 2022
Month: 6
Day: 9
ISO: 64
Exposure: 1/50
FNumber: 1.8
FocalLength: 26
Quality: 4
Details:
  Keywords: east-hampshire, england, gold, road, steep, united-kingdom, winchester
  Software: G981BXXUEFVDB
  SoftwareSrc: meta
CreatedAt: 2025-11-24T04:15:44Z
UpdatedAt: 2025-11-24T08:44:25Z
